
From: Jeff Dike <jdike@addtoit.com>

From: Nir Tzachar <tzachar@cs.bgu.ac.il>
Tell the netdevice code that a slirp device is not ethernet.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/slirp_kern.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN arch/um/drivers/slirp_kern.c~uml-slirp-driver-tells-the-network-its-not-ethernet arch/um/drivers/slirp_kern.c
--- 25/arch/um/drivers/slirp_kern.c~uml-slirp-driver-tells-the-network-its-not-ethernet	2005-03-07 22:16:09.000000000 -0800
+++ 25-akpm/arch/um/drivers/slirp_kern.c	2005-03-07 22:16:09.000000000 -0800
@@ -33,8 +33,11 @@ void slirp_init(struct net_device *dev, 
 
 	dev->init = NULL;
 	dev->hard_header_len = 0;
-	dev->addr_len = 4;
-	dev->type = ARPHRD_ETHER;
+	dev->header_cache_update = NULL;
+	dev->hard_header_cache = NULL;
+	dev->hard_header = NULL;
+	dev->addr_len = 0;
+	dev->type = ARPHRD_SLIP;
 	dev->tx_queue_len = 256;
 	dev->flags = IFF_NOARP;
 	printk("SLIRP backend - command line:");
_
